org.apache.thrift.transport

## Class AutoExpandingBufferWriteTransport

- java.lang.Object
- - org.apache.thrift.transport.TTransport
  - - org.apache.thrift.transport.AutoExpandingBufferWriteTransport

-     public final class AutoExpandingBufferWriteTransport
      extends TTransport

  TTransport for writing to an AutoExpandingBuffer.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AutoExpandingBufferWriteTransport(int initialCapacity, double growthCoefficient)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Closes the transport.
    `AutoExpandingBuffer` | `getBuf()`
    `int` | `getPos()`
    `boolean` | `isOpen()` Queries whether the transport is open.
    `void` | `open()` Opens the transport for reading/writing.
    `int` | `read(byte[] buf, int off, int len)` Reads up to len bytes into buffer buf, starting at offset off.
    `void` | `reset()`
    `void` | `write(byte[] toWrite, int off, int len)` Writes up to len bytes from the buffer.

    - ### Methods inherited from class org.apache.thrift.transport.TTransport

      `consumeBuffer, flush, getBuffer, getBufferPosition, getBytesRemainingInBuffer, peek, readAll, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AutoExpandingBufferWriteTransport

          public AutoExpandingBufferWriteTransport(int initialCapacity,
                                           double growthCoefficient)

  - ### Method Detail

    - #### close

          public void close()

      Description copied from class: `TTransport`
      Closes the transport.
      Specified by:
        `close` in class `TTransport`

    - #### isOpen

          public boolean isOpen()

      Description copied from class: `TTransport`
      Queries whether the transport is open.
      Specified by:
        `isOpen` in class `TTransport`
      Returns:
        True if the transport is open.

    - #### open

          public void open()
                    throws TTransportException

      Description copied from class: `TTransport`
      Opens the transport for reading/writing.
      Specified by:
        `open` in class `TTransport`
      Throws:
        `TTransportException` - if the transport could not be opened

    - #### read

          public int read(byte[] buf,
                 int off,
                 int len)
                   throws TTransportException

      Description copied from class: `TTransport`
      Reads up to len bytes into buffer buf, starting at offset off.
      Specified by:
        `read` in class `TTransport`
      Parameters:
        `buf` - Array to read into
        `off` - Index to start reading at
        `len` - Maximum number of bytes to read
      Returns:
        The number of bytes actually read
      Throws:
        `TTransportException` - if there was an error reading data

    - #### write

          public void write(byte[] toWrite,
                   int off,
                   int len)
                     throws TTransportException

      Description copied from class: `TTransport`
      Writes up to len bytes from the buffer.
      Specified by:
        `write` in class `TTransport`
      Parameters:
        `toWrite` - The output data buffer
        `off` - The offset to start writing from
        `len` - The number of bytes to write
      Throws:
        `TTransportException` - if there was an error writing data

    - #### getBuf

          public AutoExpandingBuffer getBuf()

    - #### getPos

          public int getPos()

    - #### reset

          public void reset()